org.springframework.cloud.dataflow.rest.resource

## Class StreamDefinitionResource.Page

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<org.springframework.hateoas.CollectionModel<T>>
  - - org.springframework.hateoas.CollectionModel<T>
    - - org.springframework.hateoas.PagedModel<StreamDefinitionResource>
      - - org.springframework.cloud.dataflow.rest.resource.StreamDefinitionResource.Page

- All Implemented Interfaces:
    Iterable<StreamDefinitionResource>
  Enclosing class:
    StreamDefinitionResource

      public static class StreamDefinitionResource.Page
      extends org.springframework.hateoas.PagedModel<StreamDefinitionResource>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.hateoas.PagedModel

      `org.springframework.hateoas.PagedModel.PageMetadata`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.hateoas.PagedModel

      `NO_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Page()`

  - ### Method Summary

    - ### Methods inherited from class org.springframework.hateoas.PagedModel

      `empty, empty, empty, empty, empty, empty, equals, getMetadata, getNextLink, getPreviousLink, hashCode, of, of, of, toString, wrap`

    - ### Methods inherited from class org.springframework.hateoas.CollectionModel

      `getContent, iterator, of, of, of, wrap`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hasLink, hasLink, hasLinks, removeLinks`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### Page

          public Page()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.